# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(overload.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Text-ASCIITable
Version:        0.20
Release:        alt1_4
Summary:        Create a nice formatted table using ASCII characters
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Text-ASCIITable/
Source0:        http://www.cpan.org/authors/id/L/LU/LUNATIC/Text-ASCIITable-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Encode.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Module/Build.pm)
Source44: import.info

%description
Pretty nifty if you want to output dynamic text to your console or other
fixed-size-font displays, and at the same time it will display it in a nice
human-readable, or "cool" way.

%prep
%setup -q -n Text-ASCIITable-%{version}
iconv -f latin1 -t utf8 README > README.conv && mv -f README.conv README

%build
perl Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
#cd %{buildroot}%{_mandir}/man3/
#for i in Text::ASCIITable::Wrap.3pm Text::ASCIITable.3pm ; do
#    iconv -f iso8859-1 -t utf-8 $i > $i.conv && mv -f $i.conv $i
#done

%check
./Build test

%files
%doc Changes README ansi-example.pl
%{perl_vendor_privlib}/*

%changelog
* Thu Oct 11 2012 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_4
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1_1
- fc import

